Bug 878995 - sisu: bundles objectweb-asm
sisu: bundles objectweb-asm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sisu (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker 879231
  Show dependency treegraph
 
Reported: 2012-11-21 13:34 EST by Mikolaj Izdebski
Modified: 2013-02-20 12:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 879231 (view as bug list)
Environment:
Last Closed: 2013-02-20 12:15:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-11-21 13:34:32 EST
Description of problem:
A (slightly modified) source code of objectweb-asm is included sisu package. Bundled code should be removed and package soule be built againsy system ASM library.

Bundled code is in ./sisu-2.2.3/sisu-inject/containers/guice-bean/guice-bean-scanners/src/main/java/org/sonatype/guice/bean/scanners/asm/

Version-Release number of selected component (if applicable):
2.2.3-7

Additional info:
See packaging guidelines.
Comment 1 Tomas Radej 2013-01-28 08:56:07 EST
I'll look into this.
Comment 2 Tomas Radej 2013-02-06 05:02:36 EST
Built in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4932280

Note You need to log in before you can comment on or make changes to this bug.